# Search for potential duplicates in the portal This method searches for potential duplicates and returns masked validation options Endpoint: POST /contactDuplicates/{tenantId}/portal Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed ## Request fields (application/json): - `email_address` (string) The email address to search for matches - `first_name` (string) The contact's first name - `last_name` (string) The contact's last name - `minimum_confidence` (number) The minimum degree of confidence on a scale of 1 to 100 that you would like considered a potential duplicate - `postal_code` (string) The postal code to search for matches ## Response 200 fields (application/json): - `id` (string, required) The unique, string identifier of this contact - `location` (object) Information off this contact's preferred address masked for data protection - `location.city` (string) The city of this contact's preferred address - `location.country` (string) The country of this contact's preferred address - `location.state` (string) The state of this contact's preferred address - `masked_email_addresses` (array) Email addresses related to this contact masked for data protection - `masked_email_addresses.masked_email_address` (string, required) The masked email address - `masked_email_addresses.type` (string, required) The email address type - `masked_phone_numbers` (array) Phone numbers related to this contact masked for data protection - `masked_phone_numbers.masked_phone_number` (string, required) The masked phone number - `masked_phone_numbers.type` (string, required) The phone number type - `name` (string, required) The name of the matched contact - `organization_name` (string) The name of the organization this contact is related to ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields